libsub-uplevel-perl_0.2800-1_all.deb


Advertisement

Description

libsub-uplevel-perl - module to spoof the Perl call stack

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libsub-uplevel-perl_0.2800-1_all.deb
Package name libsub-uplevel-perl
Package version 0.2800
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage https://metacpan.org/release/Sub-Uplevel
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 15.93 KB
Installed size 42.00 KB
Sub::Uplevel is a Perl module that provides a safe implementation similar to
Tcl's uplevel() function. It allows you to safely fool the caller() into
thinking it's in a different part of the stack, without knowing that it is
being wrapped.

Alternatives

Package Version Architecture Repository
libsub-uplevel-perl_0.2800-1_all.deb 0.2800 all Debian Main
libsub-uplevel-perl - - -

Requires

Name Value
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libsub-uplevel-perl_0.2800-1_all.deb
Source Package libsub-uplevel-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsub-uplevel-perl deb package:
    # sudo apt-get install libsub-uplevel-perl

Files

Path
/usr/share/doc/libsub-uplevel-perl/changelog.Debian.gz
/usr/share/doc/libsub-uplevel-perl/changelog.gz
/usr/share/doc/libsub-uplevel-perl/copyright
/usr/share/doc/libsub-uplevel-perl/examples/uplevel-demo.pl
/usr/share/man/man3/Sub::Uplevel.3pm.gz
/usr/share/perl5/Sub/Uplevel.pm

Changelog

2017-06-24 - Lucas Kanashiro <kanashiro@debian.org>
libsub-uplevel-perl (0.2800-1) unstable; urgency=medium
* Team upload.
[ gregor herrmann ]
* Remove Fabrizio Regalli from Uploaders. Thanks for your work!
* Remove Jay Bonci from Uploaders. Thanks for your work!
* Remove Jonathan Yu from Uploaders. Thanks for your work!
[ Lucas Kanashiro ]
* Import upstream version 0.2800
* Update years of upstream copyright
* Update years of Debian packaging copyright
* Bump debhelper compatibility level to 10
* Declare compliance with Debian Policy 4.0.0
2016-08-07 - Lucas Kanashiro <kanashiro@debian.org>
libsub-uplevel-perl (0.2600-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
[ Lucas Kanashiro ]
* Import upstream version 0.2600
* Update debian/upstream/metadata
* Update years of upstream copyright
* Update Debian packaging copyright
* Bump debhelper compatibility level to 9
* Declare compliance with Debian policy 3.9.8
* debian/control: wrap-and-sort Uploaders field
2015-09-14 - Florian Schlichting <fsfs@debian.org>
libsub-uplevel-perl (0.2500-1) unstable; urgency=low
* Team upload
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Florian Schlichting ]
* Add debian/upstream/metadata
* Import upstream version 0.2500
* Update copyright years
* Declare compliance with Debian Policy 3.9.6
* Mark package autopkgtest-able
* Drop examples-shebang.patch, resolved upstream by removing x-bit
2012-02-21 - Fabrizio Regalli <fabreg@fabreg.it>
libsub-uplevel-perl (0.2400-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
[ Fabrizio Regalli ]
* Imported Upstream version 0.2400
* Added myself to Uploaders and Copyright
* Bump Standards-Version to 3.9.2 (no changes needed)
* Removed no more necessary --with quilt option from d/rules
* Bump debhelper to (>= 8)
* Updated d/compat to 8
* Removed quilt (>= 0.46-7) from B-D
* Switch to dpkg-source 3.0 (quilt) format
* Updated d/copyright to latest .174 DEP5 format
* Removed no more necessary README.source
* Removed no more necessary libsub-uplevel-perl.docs
* Updated copyright year for main stanza
* Fixed path for GPL-1+ license in d/copyright
* Removed 'GNU/Linux' from license text
2009-11-17 - Jonathan Yu <jawnsy@cpan.org>
libsub-uplevel-perl (0.2200-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Standards-Version 3.8.3 (drop perl version dependency)
* Add myself to Uploaders and Copyright
* Use new short debhelper rules file
* Refresh copyright information
[ gregor herrmann ]
* debian/control: Added: ${misc:Depends} to Depends: field.
* debian/control: remove build dependencies that are not used anymore.
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).

See Also

Package Description
libsub-wrappackages-perl_2.01-1_all.deb module to wrap subroutines in packages
libsublib-cil_0.9-5_all.deb CLI library that eases the development of subtitling applications
libsubtitleeditor-dev_0.54.0-3_i386.deb subtitleeditor lib - development files
libsubtitleeditor0_0.54.0-3_i386.deb subtitleeditor lib - runtime files
libsubtitles-perl_1.04-2_all.deb utilities to fix subtitles timing
libsubunit-dev_1.3.0-1_i386.deb Unit testing protocol - Development headers and static library for libsubunit
libsubunit-perl_1.3.0-1_all.deb perl parser and diff for Subunit streams
libsubunit0_1.3.0-1_i386.deb Unit testing protocol - C/C++ shared library
libsugarext-data_0.112-3_all.deb Sugar Learning Platform - toolkit common files
libsugarext-dev_0.112-3_i386.deb Sugar Learning Platform - toolkit development files
libsugarext0_0.112-3_i386.deb Sugar Learning Platform - toolkit runtime library
libsuil-0-0_0.10.0~dfsg0-1_i386.deb library for loading and wrapping LV2 plugin UIs
libsuil-dev_0.10.0~dfsg0-1_i386.deb Development files for suil
libsuitesparse-dev_5.4.0+dfsg-1_i386.deb libraries for sparse matrices computations (development files)
libsuitesparse-doc_5.4.0+dfsg-1_all.deb libraries for sparse matrices computations (documentation)
Advertisement
Advertisement